#nur root darf script ausfhren.

ID=/usr/bin/id

if [ `$ID -u`  -ne 0 ]; then

echo
echo
echo "Sorry, you must be root.  Exiting..."
echo
echo
exit
fi



# Ueberpruefung, ob Script schon ausgefuehrt wurde:
INSTALLCHECK=$(grep -c "/etc/X11/icewm/terminal_remote" /etc/X11/xdm/Xsession)

if [ $INSTALLCHECK -eq 0 ]; then 


## Die noetigen Eintraege in der /etc/X11/xdm/Xsession werden eingefuegt.

UPLINES=$(grep -n "export XSESSION_IS_UP" /etc/X11/xdm/Xsession|awk -F: '{print $1}')

head -n $UPLINES /etc/X11/xdm/Xsession > ./Xsession.tmp

echo "exec cp /etc/X11/icewm/terminal_remote/.x0rfbserver ~/&">>./Xsession.tmp



echo "exec xhost +192.168.0.254&">>./Xsession.tmp

LINES=$(cat /etc/X11/xdm/Xsession|wc -l)

DOWNLINES=$(expr $LINES - $UPLINES)

tail -n $DOWNLINES /etc/X11/xdm/Xsession>>./Xsession.tmp

cp /etc/X11/xdm/Xsession /etc/X11/xdm/Xsession.bkup_vnceye
cp ./Xsession.tmp /etc/X11/xdm/Xsession


# Die Scripte und Programme werden installiert bzw.
# an die richtigen Stellen kopiert.

rpm -ivh ./various/Xdialog-2.1.1-1.i686.rpm

cp ./various/vnc-eye /usr/bin
chmod 755 /usr/bin/vnc-eye


mkdir -p /etc/X11/icewm/terminal_remote
rsync -a ./vnc-eye/ /etc/X11/icewm/terminal_remote



else
echo ""
echo ""
echo "Das Installationsscript wurde anscheinend schon ausgefuehrt."
echo "In /etc/X11/xdm/Xsession muss zuvor der erstellte Eintrag"
echo "'exec cp /etc/X11/icewm...' geloescht werden."
echo ""
echo ""
exit 1
fi


# Falls icewm installiert ist, werden die im Menu die vnc-eye Eintraege erstellt
# und die zugehoerigen icons kopiert.
mkdir -p /home/lehrer1/.icewm
chown lehrer1:lehrer /home/lehrer1/.icewm
mkdir -p /home/referenz/.icewm
chown referenz:surfers /home/referenz/.icewm
mkdir -p /usr/X11R6/share/icewm/icons
cp ./various/icons/*.xpm /usr/local/share/icewm/icons
if [ -e /home/lehrer1/.icewm/menu ]; then
	ICEWMCHECK=$(grep -c "vnc_start" /home/lehrer1/.icewm/menu)
else
        ICEWMCHECK=0
fi
if [ $ICEWMCHECK -eq 0 ]; then
               if [ -e /home/lehrer1/.icewm/menu ]; then 
         		cp /home/lehrer1/.icewm/menu /home/lehrer1/.icewm/menu.bkup_vnceye
                fi
		cat ./various/menu_lehrer1.txt>>/home/lehrer1/.icewm/menu
                chown lehrer1:lehrer /home/lehrer1/.icewm/menu
                if [ -e /home/lehrer1/.icewm/winoptions ]; then
	        	cp /home/lehrer1/.icewm/winoptions /home/lehrer1/.icewm/winoptions.bkup_vnceye
                fi 
	        cat ./various/winoptions.txt>>/home/lehrer1/.icewm/winoptions
                chown lehrer1:lehrer /home/lehrer1/.icewm/winoptions
                if [ -e /home/referenz/.icewm/menu ]; then
                    cp /home/referenz/.icewm/menu /home/referenz/.icewm/menu.bkup_vnceye
                fi
                cp ./various/menu_schueler.txt /home/referenz/.icewm/menu
                cat /home/referenz/.icewm/menu.bkup_vnceye>>/home/referenz/.icewm/menu 
                chown referenz:surfers /home/referenz/.icewm/menu
else
		  echo ""
		  echo "vnc-eye ist anscheinend schon im icewm-Menu integriert."
		  echo ""
fi  

if [ ! -e "/usr/local/bin/vncviewer" -a ! -e "/usr/X11R6/bin/vncviewer" ]; then
    rpm -ivh ./various/vnc-3.3.3r2-379.i586.rpm
echo "##########################################################################################"
echo "# VNC der Version 3.3.3r2-379 fr SuSe 8.1 wurde installiert.                                #"
echo "#########################################################################################"

fi

if [ ! -e "/usr/X11R6/bin/x0rfbserver" ]; then
    rpm -ivh ./various/rfb-0.6.1-21.i386.rpm
echo "##########################################################################################"
echo "# RFB der Version 0.6.1 fr SuSe 8.0 wurde installiert.                                  #"
echo "##########################################################################################"


fi


echo
echo "----------------------------------------------------------"
echo "Die Installation ist abgeschlossen - viel Spa mit vnc-eye"
echo "Zum ersten Start muessen Sie sich ab- und nocheinmal anmelden"
echo "Auch die Clients muessen sich erst nocheinmal neu anmelden."
